CREATE TABLE CONTACT_REQUEST
(
    ID              BIGINT PRIMARY KEY,
    CREATED_AT      TIMESTAMP WITHOUT TIME ZONE,
    LAST_UPDATE     TIMESTAMP WITHOUT TIME ZONE,
    MESSAGE         VARCHAR(2500) NOT NULL,
    NAME            VARCHAR(20)   NOT NULL,
    SURNAME         VARCHAR(20)   NOT NULL,
    STATUS          BOOLEAN
        CONSTRAINT SET DEFAULT FALSE,
    REQUEST_TYPE_ID BIGINT,
    CLIENT_ID       BIGINT
);
CREATE SEQUENCE IF NOT EXISTS contact_request_id_sequence;
ALTER TABLE CONTACT_REQUEST
    ALTER COLUMN ID SET DEFAULT nextval('contact_request_id_sequence');
ALTER SEQUENCE contact_request_id_sequence OWNED BY CONTACT_REQUEST.ID;
ALTER TABLE ONLY CONTACT_REQUEST
    ADD CONSTRAINT CONTACT_REQUEST_REQUEST_TYPE_FK FOREIGN KEY (REQUEST_TYPE_ID) REFERENCES REQUEST_TYPE (ID);
ALTER TABLE ONLY CONTACT_REQUEST
    ADD CONSTRAINT CONTACT_REQUEST_CLIENT_FK FOREIGN KEY (CLIENT_ID) REFERENCES CLIENT (ID);
